Profiles
CompozyOS Profiles HTTP endpoints.
curl -X GET "https://example.com/api/profiles"[ { "archived_at": "2019-08-24T14:15:22Z", "color": "string", "created_at": "2019-08-24T14:15:22Z", "credential_requirements": [ { "missing": true, "provider": "string", "slot": "string", "source_extension": "string" } ], "emoji": "string", "icon": "string", "id": "string", "name": "string", "needs_setup": true, "state": "string", "work_items": 0 }]POST
JSON request body
application/json- body
activate?|nullcolor?stringemoji?stringicon?stringname*stringOK
application/json- response
archived_at?|Format
date-timecolor*stringcreated_at*stringFormat
date-timecredential_requirements?array<>emoji*string|nullicon*string|nullid*stringname*stringneeds_setup?booleanstate*stringwork_items?integercurl -X POST "https://example.com/api/profiles" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "archived_at": "2019-08-24T14:15:22Z", "color": "string", "created_at": "2019-08-24T14:15:22Z", "credential_requirements": [ { "missing": true, "provider": "string", "slot": "string", "source_extension": "string" } ], "emoji": "string", "icon": "string", "id": "string", "name": "string", "needs_setup": true, "state": "string", "work_items": 0}curl -X GET "https://example.com/api/profiles/ops"[ { "error": "string", "id": "string", "kind": "string", "profile": "string", "status": "string", "step": "string" }]POST
op_id*stringLifecycle operation id
OK
application/json- response
error?stringid*stringkind*stringprofile*stringstatus*stringstep*stringcurl -X POST "https://example.com/api/profiles/ops/string/retry"{ "error": "string", "id": "string", "kind": "string", "profile": "string", "status": "string", "step": "string"}GET
scope?stringSelection scope
Value in
"global""workspace"workspace_id?stringWorkspace selection lens
OK
application/json- response
[index: integer]?curl -X GET "https://example.com/api/profiles/selection"[ { "note": "string", "profile": "string", "scope": "string", "workspace_id": "string" }]PUT
JSON request body
application/json- body
note?stringprofile*stringscope*stringworkspace_id?stringOK
application/json- response
note?stringprofile*stringscope*stringworkspace_id?stringcurl -X PUT "https://example.com/api/profiles/selection" \ -H "Content-Type: application/json" \ -d '{ "profile": "string", "scope": "string" }'{ "note": "string", "profile": "string", "scope": "string", "workspace_id": "string"}GET
name*stringProfile name
OK
application/json- response
archived_at?|Format
date-timecolor*stringcreated_at*stringFormat
date-timecredential_requirements?array<>emoji*string|nullicon*string|nullid*stringname*stringneeds_setup?booleanstate*stringwork_items?integercurl -X GET "https://example.com/api/profiles/string"{ "archived_at": "2019-08-24T14:15:22Z", "color": "string", "created_at": "2019-08-24T14:15:22Z", "credential_requirements": [ { "missing": true, "provider": "string", "slot": "string", "source_extension": "string" } ], "emoji": "string", "icon": "string", "id": "string", "name": "string", "needs_setup": true, "state": "string", "work_items": 0}PATCH
name*stringProfile name
JSON request body
application/json- body
color?string|nullemoji?string|nullicon?string|nullOK
application/json- response
archived_at?|Format
date-timecolor*stringcreated_at*stringFormat
date-timecredential_requirements?array<>emoji*string|nullicon*string|nullid*stringname*stringneeds_setup?booleanstate*stringwork_items?integercurl -X PATCH "https://example.com/api/profiles/string" \ -H "Content-Type: application/json" \ -d '{}'{ "archived_at": "2019-08-24T14:15:22Z", "color": "string", "created_at": "2019-08-24T14:15:22Z", "credential_requirements": [ { "missing": true, "provider": "string", "slot": "string", "source_extension": "string" } ], "emoji": "string", "icon": "string", "id": "string", "name": "string", "needs_setup": true, "state": "string", "work_items": 0}DELETE
name*stringProfile name
plan_revision*stringRevision returned by the delete plan
OK
application/json- response
deleted*booleanremoved*curl -X DELETE "https://example.com/api/profiles/string?plan_revision=string"{ "deleted": true, "removed": { "agents": 0, "config_keys": 0, "credential_overrides": 0, "desktop_partitions": 0, "event_summaries": 0, "loops": 0, "mcp_servers": 0, "palette_pins": 0, "palette_query_hits": 0, "palette_usage": 0, "skills": 0, "terminal_approvals": 0 }}POST
name*stringProfile name
JSON request body
application/json- body
plan_revision*stringOK
application/json- response
frozen_queued_runs*integerpaused_automations*array<string>state*stringcurl -X POST "https://example.com/api/profiles/string/archive" \ -H "Content-Type: application/json" \ -d '{ "plan_revision": "string" }'{ "frozen_queued_runs": 0, "paused_automations": [ "string" ], "state": "string"}GET
name*stringProfile name
OK
application/json- response
approval_blockers*array<string>automations_to_pause*array<string>leased_runs*integerqueued_runs_to_freeze*integerrevision*stringrunning_sessions*array<string>curl -X GET "https://example.com/api/profiles/string/archive-plan"{ "approval_blockers": [ "string" ], "automations_to_pause": [ "string" ], "leased_runs": 0, "queued_runs_to_freeze": 0, "revision": "string", "running_sessions": [ "string" ]}GET
name*stringProfile name
OK
application/json- response
approval_blockers*array<string>removed*revision*stringselections_to_sweep*integercurl -X GET "https://example.com/api/profiles/string/delete-plan"{ "approval_blockers": [ "string" ], "removed": { "agents": 0, "config_keys": 0, "credential_overrides": 0, "desktop_partitions": 0, "event_summaries": 0, "loops": 0, "mcp_servers": 0, "palette_pins": 0, "palette_query_hits": 0, "palette_usage": 0, "skills": 0, "terminal_approvals": 0 }, "revision": "string", "selections_to_sweep": 0}POST
name*stringProfile name
JSON request body
application/json- body
new_name*stringplan_revision*stringrepos?array<string>OK
application/json- response
dormant_placements*array<>renamed*booleanrepo_results*array<>curl -X POST "https://example.com/api/profiles/string/rename" \ -H "Content-Type: application/json" \ -d '{ "new_name": "string", "plan_revision": "string" }'{ "dormant_placements": [ { "extension": "string", "profile": "string", "resource": "string" } ], "renamed": true, "repo_results": [ { "reason": "string", "renamed": true, "workspace_id": "string" } ]}GET
name*stringProfile name
new_name*stringNew profile name
OK
application/json- response
dormant_placements*array<>machine_folders*array<string>repo_candidates*array<>revision*stringvault_ref_rewrites*integercurl -X GET "https://example.com/api/profiles/string/rename-plan?new_name=string"{ "dormant_placements": [ { "extension": "string", "profile": "string", "resource": "string" } ], "machine_folders": [ "string" ], "repo_candidates": [ { "path": "string", "workspace": "string", "workspace_id": "string" } ], "revision": "string", "vault_ref_rewrites": 0}POST
name*stringProfile name
JSON request body
body?unknownapplication/jsonOK
application/json- response
paused_automations*array<string>state*stringcurl -X POST "https://example.com/api/profiles/string/unarchive"{ "paused_automations": [ "string" ], "state": "string"}